diff --git a/game/client/src/main/java/net/minecraft/client/gui/guidebook/SlotGuidebook.java b/game/client/src/main/java/net/minecraft/client/gui/guidebook/SlotGuidebook.java
index 5775a1cb2..e1bcf2f0f 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/guidebook/SlotGuidebook.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/guidebook/SlotGuidebook.java
@@ -1,7 +1,7 @@
 package net.minecraft.client.gui.guidebook;
 
-import net.minecraft.client.Minecraft;
 import net.minecraft.client.entity.player.PlayerLocal;
+import net.minecraft.client.option.GameSettings;
 import net.minecraft.core.WeightedRandomBag;
 import net.minecraft.core.WeightedRandomLootObject;
 import net.minecraft.core.achievement.stat.StatList;
@@ -19,13 +19,13 @@ import java.util.Random;
 
 public class SlotGuidebook extends Slot
 {
-	public ItemStack item;
-	public RecipeSymbol symbol;
-	public RecipeEntryBase<?,?,?> recipe;
+	public @Nullable ItemStack item;
+	public @Nullable RecipeSymbol symbol;
+	public @Nullable RecipeEntryBase<?,?,?> recipe;
 	public int recipeIndex = 0;
 	public int recipeAmount = 0;
 	public boolean isOutput = false;
-	public SlotGuidebook(final int id, final int x, final int y, final RecipeSymbol symbol, final boolean discovered, final RecipeEntryBase<?,?,?> recipe)
+	public SlotGuidebook(final int id, final int x, final int y, final @Nullable RecipeSymbol symbol, final boolean discovered, final @Nullable RecipeEntryBase<?,?,?> recipe)
 	{
 		super(null, id, x, y);
 		this.index = id;
@@ -33,10 +33,10 @@ public class SlotGuidebook extends Slot
 		if(symbol != null && symbol.getItemGroup() != null){
 			showRandomItem();
 		} else if (symbol != null) {
-			item = symbol.resolve().get(0);
-			if(recipe instanceof RecipeEntryTrommel){
-				WeightedRandomBag<WeightedRandomLootObject> loot = (WeightedRandomBag<WeightedRandomLootObject>) recipe.getOutput();
-				recipeAmount = loot.getEntries().size()-1;
+            this.item = symbol.resolve().get(0);
+			if(recipe instanceof RecipeEntryTrommel entryTrommel){
+				WeightedRandomBag<WeightedRandomLootObject> loot = entryTrommel.getOutput();
+                this.recipeAmount = loot.getEntries().size()-1;
 			}
 		}
 		this.discovered = discovered;
@@ -52,7 +52,7 @@ public class SlotGuidebook extends Slot
 		if(symbol != null && symbol.getItemGroup() != null){
 			showRandomItem();
 		} else if (symbol != null) {
-			item = symbol.resolve().get(0);
+            this.item = symbol.resolve().get(0);
 		}
 		this.discovered = discovered;
 		this.recipe = null;
@@ -72,19 +72,19 @@ public class SlotGuidebook extends Slot
 	@Override
 	public boolean hasItem()
 	{
-		return item != null;
+		return this.item != null;
 	}
 
 	@Override
 	public int getMaxStackSize()
 	{
-		return item.getMaxStackSize();
+		return this.item.getMaxStackSize();
 	}
 
 	@Override
 	public @Nullable ItemStack getItemStack()
 	{
-		return item;
+		return this.item;
 	}
 
 	@Override
@@ -103,25 +103,24 @@ public class SlotGuidebook extends Slot
     }
 
 	public void showRandomItem(){
-		if(symbol != null && symbol.getItemGroup() != null){
+		if(this.symbol != null && this.symbol.getItemGroup() != null){
 			Random r = new Random();
-			List<ItemStack> list = symbol.resolve();
+			List<ItemStack> list = this.symbol.resolve();
 			ItemStack newItem = list.get(r.nextInt(list.size()));
 			if (list.size() > 1) {
-				while (newItem == item){
+				while (newItem == this.item){
 					newItem = list.get(r.nextInt(list.size()));
 				}
 			}
-			item = newItem;
+            this.item = newItem;
 		}
 	}
 	public boolean getIsDiscovered(Player player){
-		if (item == null || discovered) return true;
+		if (this.item == null || this.discovered) return true;
 		if (player instanceof PlayerLocal){
-			Minecraft mc = Minecraft.getMinecraft();
-			if (!mc.gameSettings.hideUndiscoveredItems.value) return true;
+			if (!GameSettings.HIDE_UNDISCOVERED_ITEMS.value) return true;
 		}
-		return player.getStat(item.getItem().getStat(StatList.STAT_PICKED_UP)) > 0 || player.getGamemode() == Gamemodes.CREATIVE;
+		return player.getStat(this.item.getItem().getStat(StatList.STAT_PICKED_UP)) > 0 || player.getGamemode() == Gamemodes.CREATIVE;
 	}
 
 	public void scrollRecipe(){
diff --git a/game/client/src/main/java/net/minecraft/client/gui/guidebook/crafting/RecipePageCrafting.java b/game/client/src/main/java/net/minecraft/client/gui/guidebook/crafting/RecipePageCrafting.java
index 08887a0c9..6274f1555 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/guidebook/crafting/RecipePageCrafting.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/guidebook/crafting/RecipePageCrafting.java
@@ -20,6 +20,7 @@ import net.minecraft.client.gui.guidebook.crafting.displays.DisplayAdapterShapel
 import net.minecraft.client.gui.guidebook.crafting.displays.DisplayAdapterTool;
 import net.minecraft.client.gui.guidebook.crafting.displays.DisplayAdapterUndye;
 import net.minecraft.client.gui.guidebook.search.GuidebookPageSearch;
+import net.minecraft.client.option.GameSettings;
 import net.minecraft.client.option.enums.DescriptionPromptEnum;
 import net.minecraft.client.render.TextureManager;
 import net.minecraft.client.render.font.FontRenderer;
@@ -132,7 +133,7 @@ public class RecipePageCrafting
     @Override
     public boolean keyTyped(char c, int key, int x, int y, int mouseX, int mouseY) {
         super.keyTyped(c, key, x, y, mouseX, mouseY);
-        if (mc.gameSettings.keyShowRecipe.isKeyboardKey(key)) {
+        if (GameSettings.KEY_SHOW_RECIPE.isKeyboardKey(key)) {
             SlotGuidebook hoveringSlot = null;
             for (SlotGuidebook slot : this.slots) {
                 if (getIsMouseOverSlot(slot, x, y, mouseX, mouseY)) hoveringSlot = slot;
@@ -147,7 +148,7 @@ public class RecipePageCrafting
                     return true;
                 }
             }
-        } else if (mc.gameSettings.keyShowUsage.isKeyboardKey(key)) {
+        } else if (GameSettings.KEY_SHOW_USAGE.isKeyboardKey(key)) {
             SlotGuidebook hoveringSlot = null;
             for (SlotGuidebook slot : this.slots) {
                 if (getIsMouseOverSlot(slot, x, y, mouseX, mouseY)) hoveringSlot = slot;
@@ -191,7 +192,7 @@ public class RecipePageCrafting
             if (getIsMouseOverSlot(slot, x, y, mouseX, mouseY)) mouseOverSlot = slot;
             GLRenderer.setColor4f(1.0F, 1.0F, 1.0F, 1.0F);
             if (mouseOverSlot != null && mouseOverSlot.hasItem()) {
-                boolean showDescription = DescriptionPromptEnum.showDescription(mc);
+                boolean showDescription = DescriptionPromptEnum.showDescription();
                 String str = this.tooltipElement.getTooltipText(mouseOverSlot.getItemStack(), showDescription, mouseOverSlot);
                 if (!str.isEmpty()) {
                     this.tooltipElement.render(str, mouseX, mouseY, 8, -8);
diff --git a/game/client/src/main/java/net/minecraft/client/gui/guidebook/mobs/GuidebookPageMob.java b/game/client/src/main/java/net/minecraft/client/gui/guidebook/mobs/GuidebookPageMob.java
index fbe0adaa0..03c87103b 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/guidebook/mobs/GuidebookPageMob.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/guidebook/mobs/GuidebookPageMob.java
@@ -6,6 +6,7 @@ import net.minecraft.client.gui.ItemElement;
 import net.minecraft.client.gui.TooltipElement;
 import net.minecraft.client.gui.guidebook.GuidebookPage;
 import net.minecraft.client.gui.guidebook.GuidebookSection;
+import net.minecraft.client.option.GameSettings;
 import net.minecraft.client.option.enums.DescriptionPromptEnum;
 import net.minecraft.client.render.*;
 import net.minecraft.client.render.font.FontRenderer;
@@ -109,7 +110,7 @@ public class GuidebookPageMob
     protected void renderForeground(TextureManager re, FontRenderer sr, int x, int y, int mouseX, int mouseY, float partialTicks) {
         EntityDispatcher.EntityDispatcherEntry<?> entry = EntityDispatcher.getInstance().entryForClass(this.mobClass);
         this.discovered = mc.statsCounter.readStat(StatList.mobEncounterStats.get(entry != null ? entry.namespaceID : null)) > 0;
-        if (mc.thePlayer.getGamemode() == Gamemodes.CREATIVE || !mc.gameSettings.hideUndiscoveredItems.value)
+        if (mc.thePlayer.getGamemode() == Gamemodes.CREATIVE || !GameSettings.HIDE_UNDISCOVERED_ITEMS.value)
             this.discovered = true;
 
         Lighting.disable();
@@ -279,7 +280,7 @@ public class GuidebookPageMob
             if (getIsMouseOverSlot(slot, x, y, mouseX, mouseY)) mouseOverSlot = slot;
             GLRenderer.setColor4f(1.0F, 1.0F, 1.0F, 1.0F);
             if (mouseOverSlot != null && mouseOverSlot.hasItem()) {
-                boolean showDescription = DescriptionPromptEnum.showDescription(mc);
+                boolean showDescription = DescriptionPromptEnum.showDescription();
                 String str = tooltipElement.getTooltipText(mouseOverSlot.getItemStack(), showDescription, mouseOverSlot);
                 if (!str.isEmpty()) {
                     tooltipElement.render(str, mouseX, mouseY, 8, -8);
diff --git a/game/client/src/main/java/net/minecraft/client/gui/guidebook/smelting/RecipePageBlastSmelting.java b/game/client/src/main/java/net/minecraft/client/gui/guidebook/smelting/RecipePageBlastSmelting.java
index ee3eb4e8f..f9b070c9d 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/guidebook/smelting/RecipePageBlastSmelting.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/guidebook/smelting/RecipePageBlastSmelting.java
@@ -9,6 +9,7 @@ import net.minecraft.client.gui.guidebook.GuidebookSection;
 import net.minecraft.client.gui.guidebook.GuidebookSections;
 import net.minecraft.client.gui.guidebook.RecipePage;
 import net.minecraft.client.gui.guidebook.search.GuidebookPageSearch;
+import net.minecraft.client.option.GameSettings;
 import net.minecraft.client.option.enums.DescriptionPromptEnum;
 import net.minecraft.client.render.TextureManager;
 import net.minecraft.client.render.font.FontRenderer;
@@ -90,7 +91,7 @@ public class RecipePageBlastSmelting
     @Override
     public boolean keyTyped(char c, int key, int x, int y, int mouseX, int mouseY) {
         super.keyTyped(c, key, x, y, mouseX, mouseY);
-        if (mc.gameSettings.keyShowRecipe.isKeyboardKey(key)) {
+        if (GameSettings.KEY_SHOW_RECIPE.isKeyboardKey(key)) {
             SlotGuidebook hoveringSlot = null;
             for (SlotGuidebook slot : this.slots) {
                 if (getIsMouseOverSlot(slot, x, y, mouseX, mouseY)) hoveringSlot = slot;
@@ -105,7 +106,7 @@ public class RecipePageBlastSmelting
                     return true;
                 }
             }
-        } else if (mc.gameSettings.keyShowUsage.isKeyboardKey(key)) {
+        } else if (GameSettings.KEY_SHOW_USAGE.isKeyboardKey(key)) {
             SlotGuidebook hoveringSlot = null;
             for (SlotGuidebook slot : this.slots) {
                 if (getIsMouseOverSlot(slot, x, y, mouseX, mouseY)) hoveringSlot = slot;
@@ -149,7 +150,7 @@ public class RecipePageBlastSmelting
             if (getIsMouseOverSlot(slot, x, y, mouseX, mouseY)) mouseOverSlot = slot;
             GLRenderer.setColor4f(1.0F, 1.0F, 1.0F, 1.0F);
             if (mouseOverSlot != null && mouseOverSlot.hasItem()) {
-                boolean showDescription = DescriptionPromptEnum.showDescription(mc);
+                boolean showDescription = DescriptionPromptEnum.showDescription();
                 String str = this.tooltipElement.getTooltipText(mouseOverSlot.getItemStack(), showDescription, mouseOverSlot);
                 if (!str.isEmpty()) {
                     this.tooltipElement.render(str, mouseX, mouseY, 8, -8);
diff --git a/game/client/src/main/java/net/minecraft/client/gui/guidebook/smelting/RecipePageSmelting.java b/game/client/src/main/java/net/minecraft/client/gui/guidebook/smelting/RecipePageSmelting.java
index 7c68cde75..73c390edb 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/guidebook/smelting/RecipePageSmelting.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/guidebook/smelting/RecipePageSmelting.java
@@ -9,6 +9,7 @@ import net.minecraft.client.gui.guidebook.GuidebookSection;
 import net.minecraft.client.gui.guidebook.GuidebookSections;
 import net.minecraft.client.gui.guidebook.RecipePage;
 import net.minecraft.client.gui.guidebook.search.GuidebookPageSearch;
+import net.minecraft.client.option.GameSettings;
 import net.minecraft.client.option.enums.DescriptionPromptEnum;
 import net.minecraft.client.render.TextureManager;
 import net.minecraft.client.render.font.FontRenderer;
@@ -85,7 +86,7 @@ public class RecipePageSmelting
     @Override
     public boolean keyTyped(char c, int key, int x, int y, int mouseX, int mouseY) {
         super.keyTyped(c, key, x, y, mouseX, mouseY);
-        if (mc.gameSettings.keyShowRecipe.isKeyboardKey(key)) {
+        if (GameSettings.KEY_SHOW_RECIPE.isKeyboardKey(key)) {
             SlotGuidebook hoveringSlot = null;
             for (SlotGuidebook slot : this.slots) {
                 if (getIsMouseOverSlot(slot, x, y, mouseX, mouseY)) hoveringSlot = slot;
@@ -100,7 +101,7 @@ public class RecipePageSmelting
                     return true;
                 }
             }
-        } else if (mc.gameSettings.keyShowUsage.isKeyboardKey(key)) {
+        } else if (GameSettings.KEY_SHOW_USAGE.isKeyboardKey(key)) {
             SlotGuidebook hoveringSlot = null;
             for (SlotGuidebook slot : this.slots) {
                 if (getIsMouseOverSlot(slot, x, y, mouseX, mouseY)) hoveringSlot = slot;
@@ -144,7 +145,7 @@ public class RecipePageSmelting
             if (getIsMouseOverSlot(slot, x, y, mouseX, mouseY)) mouseOverSlot = slot;
             GLRenderer.setColor4f(1.0F, 1.0F, 1.0F, 1.0F);
             if (mouseOverSlot != null && mouseOverSlot.hasItem()) {
-                boolean showDescription = DescriptionPromptEnum.showDescription(mc);
+                boolean showDescription = DescriptionPromptEnum.showDescription();
                 String str = this.tooltipElement.getTooltipText(mouseOverSlot.getItemStack(), showDescription, mouseOverSlot);
                 if (!str.isEmpty()) {
                     this.tooltipElement.render(str, mouseX, mouseY, 8, -8);
diff --git a/game/client/src/main/java/net/minecraft/client/gui/guidebook/trommeling/RecipePageTrommel.java b/game/client/src/main/java/net/minecraft/client/gui/guidebook/trommeling/RecipePageTrommel.java
index e78e10646..e32768445 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/guidebook/trommeling/RecipePageTrommel.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/guidebook/trommeling/RecipePageTrommel.java
@@ -9,6 +9,7 @@ import net.minecraft.client.gui.guidebook.GuidebookSection;
 import net.minecraft.client.gui.guidebook.GuidebookSections;
 import net.minecraft.client.gui.guidebook.RecipePage;
 import net.minecraft.client.gui.guidebook.search.GuidebookPageSearch;
+import net.minecraft.client.option.GameSettings;
 import net.minecraft.client.option.enums.DescriptionPromptEnum;
 import net.minecraft.client.render.TextureManager;
 import net.minecraft.client.render.font.FontRenderer;
@@ -88,8 +89,8 @@ public class RecipePageTrommel
         if (ticks2 > 25) {
             ticks2 = 0;
             for (SlotGuidebook slot : this.slots) {
-                if (slot.recipe instanceof RecipeEntryTrommel) {
-                    RecipeSymbol input = (RecipeSymbol) slot.recipe.getInput();
+                if (slot.recipe instanceof RecipeEntryTrommel entryTrommel) {
+                    RecipeSymbol input = entryTrommel.getInput();
                     if (!input.matches(slot.getItemStack())) {
                         if (slot.recipeAmount > 8) {
                             int recipeIndexMax = Math.round((float) slot.recipeAmount / 9);
@@ -98,7 +99,7 @@ public class RecipePageTrommel
                             } else {
                                 slot.recipeIndex++;
                             }
-                            WeightedRandomBag<WeightedRandomLootObject> loot = (WeightedRandomBag<WeightedRandomLootObject>) slot.recipe.getOutput();
+                            WeightedRandomBag<WeightedRandomLootObject> loot = entryTrommel.getOutput();
                             int index = slot.index + (9 * slot.recipeIndex);
                             if (index > slot.recipeAmount) {
                                 slot.item = null;
@@ -132,7 +133,7 @@ public class RecipePageTrommel
     @Override
     public boolean keyTyped(char c, int key, int x, int y, int mouseX, int mouseY) {
         super.keyTyped(c, key, x, y, mouseX, mouseY);
-        if (mc.gameSettings.keyShowRecipe.isKeyboardKey(key)) {
+        if (GameSettings.KEY_SHOW_RECIPE.isKeyboardKey(key)) {
             SlotGuidebook hoveringSlot = null;
             for (SlotGuidebook slot : this.slots) {
                 if (getIsMouseOverSlot(slot, x, y, mouseX, mouseY)) hoveringSlot = slot;
@@ -147,7 +148,7 @@ public class RecipePageTrommel
                     return true;
                 }
             }
-        } else if (mc.gameSettings.keyShowUsage.isKeyboardKey(key)) {
+        } else if (GameSettings.KEY_SHOW_USAGE.isKeyboardKey(key)) {
             SlotGuidebook hoveringSlot = null;
             for (SlotGuidebook slot : this.slots) {
                 if (getIsMouseOverSlot(slot, x, y, mouseX, mouseY)) hoveringSlot = slot;
@@ -191,7 +192,7 @@ public class RecipePageTrommel
             if (getIsMouseOverSlot(slot, x, y, mouseX, mouseY)) mouseOverSlot = slot;
             GLRenderer.setColor4f(1.0F, 1.0F, 1.0F, 1.0F);
             if (mouseOverSlot != null && mouseOverSlot.hasItem()) {
-                boolean showDescription = DescriptionPromptEnum.showDescription(mc);
+                boolean showDescription = DescriptionPromptEnum.showDescription();
                 String str = this.tooltipElement.getTooltipText(mouseOverSlot.getItemStack(), showDescription, mouseOverSlot);
                 if (!str.isEmpty()) {
                     this.tooltipElement.render(str, mouseX, mouseY, 8, -8);
diff --git a/game/client/src/main/java/net/minecraft/client/gui/hud/HudIngame.java b/game/client/src/main/java/net/minecraft/client/gui/hud/HudIngame.java
index 2907d5591..5982bc4c6 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/hud/HudIngame.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/hud/HudIngame.java
@@ -11,6 +11,7 @@ import net.minecraft.client.gui.chat.ScreenChat;
 import net.minecraft.client.gui.Gui;
 import net.minecraft.client.gui.HeldItemTooltipElement;
 import net.minecraft.client.gui.ScreenPhotoMode;
+import net.minecraft.client.option.GameSettings;
 import net.minecraft.client.render.block.model.BlockModelDispatcher;
 import net.minecraft.client.render.font.FontRenderer;
 import net.minecraft.client.render.renderer.BlendFactor;
@@ -79,7 +80,7 @@ public class HudIngame extends Gui {
     public HudIngame(Minecraft minecraft) {
         this.mc = minecraft;
         this.fontRenderer = this.mc.font;
-        this.heldItemTooltipElement = new HeldItemTooltipElement(this.mc);
+        this.heldItemTooltipElement = new HeldItemTooltipElement();
     }
 
     public void renderGameOverlay(float partialTicks, boolean flag, int mouseX, int mouseY) {
@@ -88,20 +89,20 @@ public class HudIngame extends Gui {
         I18n stringtranslate = I18n.getInstance();
         int width = this.mc.resolution.getScaledWidthScreenCoords();
         int height = this.mc.resolution.getScaledHeightScreenCoords();
-        int sp = (int) ((this.mc.gameSettings.screenPadding.value * height) / 8);
+        int sp = (int) ((GameSettings.SCREEN_PADDING.value * height) / 8);
         this.mc.worldRenderer.setupScaledResolution();
 
         GLRenderer.enableState(State.BLEND);
         GLRenderer.setBlendFunc(BlendFactor.SRC_ALPHA, BlendFactor.ONE_MINUS_SRC_ALPHA);
 
         // Render vignette
-        if (this.mc.gameSettings.immersiveMode.drawVignette() && this.mc.gameSettings.vignette.value) {
+        if (GameSettings.IMMERSIVE_MODE.drawVignette() && GameSettings.VIGNETTE.value) {
             renderVignette(this.mc.thePlayer.getBrightness(partialTicks), width, height);
         }
 
         // Render pumpkin overlay
         final ItemStack headSlotItem = this.mc.thePlayer.inventory.armorItemInSlot(HumanArmorShape.HEAD);
-        if (this.mc.gameSettings.thirdPersonView.value == 0 && headSlotItem != null && (headSlotItem.getItem() == Blocks.PUMPKIN_CARVED_IDLE.asItem() || headSlotItem.getItem() == Blocks.PUMPKIN_REDSTONE.asItem())) {
+        if (GameSettings.THIRD_PERSON_VIEW.value == 0 && headSlotItem != null && (headSlotItem.getItem() == Blocks.PUMPKIN_CARVED_IDLE.asItem() || headSlotItem.getItem() == Blocks.PUMPKIN_REDSTONE.asItem())) {
             renderPumpkinBlur(width, height);
         }
 
@@ -136,7 +137,7 @@ public class HudIngame extends Gui {
         }
 
         //Text Overlays
-        if (this.mc.gameSettings.immersiveMode.drawOverlays()) {
+        if (GameSettings.IMMERSIVE_MODE.drawOverlays()) {
             drawRecordPlayingOverlay(width, height - sp, partialTicks);
 
             boolean clock = false;
@@ -165,9 +166,9 @@ public class HudIngame extends Gui {
             }
 
             // Show Player List
-            if (!this.mc.gameSettings.showDebugScreen.value) drawPlayerList(width, height, sp);
+            if (!GameSettings.SHOW_DEBUG_SCREEN.value) drawPlayerList(width, height, sp);
 
-            if (this.mc.gameSettings.showDebugScreen.value) {
+            if (GameSettings.SHOW_DEBUG_SCREEN.value) {
                 GLRenderer.pushFrame();
                 GLRenderer.enableState(State.BLEND);
                 GLRenderer.setBlendFunc(BlendFactor.SRC_ALPHA, BlendFactor.ONE_MINUS_SRC_ALPHA);
@@ -382,12 +383,12 @@ public class HudIngame extends Gui {
             }
         }
 
-        if (this.mc.gameSettings.immersiveMode.drawChat()) {
+        if (GameSettings.IMMERSIVE_MODE.drawChat()) {
             drawChat(width, height, sp);
         }
 
         // Adding this mostly to see if the stitcher and dynamic textures are working properly
-        if (this.mc.gameSettings.keyToggleTextureAtlas.isPressed()) {
+        if (GameSettings.KEY_TOGGLE_TEXTURE_ATLAS.isPressed()) {
             GLRenderer.pushFrame();
             GLRenderer.enableState(State.BLEND);
             GLRenderer.setBlendFunc(BlendFactor.SRC_ALPHA, BlendFactor.ONE_MINUS_SRC_ALPHA);
@@ -454,10 +455,10 @@ public class HudIngame extends Gui {
 
     public void drawPlayerList(int screenWidth, int screenHeight, int screenPadding) {
         if (!this.mc.isMultiplayerWorld()) return;
-        if (this.mc.gameSettings.playerListPosition.value == 1) {
-            this.mc.gameSettings.showPlayerList.value = this.mc.gameSettings.keyPlayerList.isPressed() && this.mc.currentScreen == null;
+        if (GameSettings.PLAYER_LIST_POSITION.value == 1) {
+            GameSettings.SHOW_PLAYER_LIST.value = GameSettings.KEY_PLAYER_LIST.isPressed() && this.mc.currentScreen == null;
         }
-        if (!this.mc.gameSettings.showPlayerList.value) return;
+        if (!GameSettings.SHOW_PLAYER_LIST.value) return;
 
         if (!(this.mc.thePlayer instanceof PlayerLocalMultiplayer player)) return;
 
@@ -498,14 +499,14 @@ public class HudIngame extends Gui {
         int listX = 0;
         int listY = screenPadding;
 
-        if (this.mc.gameSettings.playerListPosition.value == 0) {
+        if (GameSettings.PLAYER_LIST_POSITION.value == 0) {
             listX = (screenWidth - width) / 2;
         }
-        if (this.mc.gameSettings.playerListPosition.value == 1) {
+        if (GameSettings.PLAYER_LIST_POSITION.value == 1) {
             listX = (screenWidth - width) / 2;
             listY = screenHeight / 6 + screenPadding;
         }
-        if (this.mc.gameSettings.playerListPosition.value == 2) {
+        if (GameSettings.PLAYER_LIST_POSITION.value == 2) {
             listX = screenWidth - width - screenPadding;
         }
 
@@ -551,7 +552,7 @@ public class HudIngame extends Gui {
     }
 
     public void drawChat(int width, int height, int sp) {
-        if (this.mc.gameSettings.chatVisibility.value == ChatVisibility.NEVER_SHOW) return;
+        if (GameSettings.chatVisibility.value == ChatVisibility.NEVER_SHOW) return;
 //        if(mc.currentScreen instanceof ScreenChat && ((ScreenChat) mc.currentScreen).message.startsWith("/")) return;
         int linesToShow = 10;
         boolean ignoreFadeout = false;
@@ -559,7 +560,7 @@ public class HudIngame extends Gui {
             int acceptableSize = height - 48 - 48;
             linesToShow = acceptableSize / 9;
             ignoreFadeout = true;
-        } else if (this.mc.gameSettings.chatVisibility.value == ChatVisibility.SHOW_WHEN_CHATTING) {
+        } else if (GameSettings.chatVisibility.value == ChatVisibility.SHOW_WHEN_CHATTING) {
             return;
         }
 
diff --git a/game/client/src/main/java/net/minecraft/client/gui/hud/HudIngameDoom.java b/game/client/src/main/java/net/minecraft/client/gui/hud/HudIngameDoom.java
index 3afee5d6a..360bb0453 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/hud/HudIngameDoom.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/hud/HudIngameDoom.java
@@ -4,6 +4,7 @@ import it.unimi.dsi.fastutil.ints.IntArrayList;
 import it.unimi.dsi.fastutil.ints.IntList;
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.ScreenPhotoMode;
+import net.minecraft.client.option.GameSettings;
 import net.minecraft.client.render.renderer.BlendFactor;
 import net.minecraft.client.render.renderer.GLRenderer;
 import net.minecraft.client.render.renderer.State;
@@ -39,13 +40,13 @@ public class HudIngameDoom
         GLRenderer.setBlendFunc(BlendFactor.SRC_ALPHA, BlendFactor.ONE_MINUS_SRC_ALPHA);
 
         // Render vignette
-        if (this.mc.gameSettings.immersiveMode.drawVignette() && this.mc.gameSettings.vignette.value) {
+        if (GameSettings.IMMERSIVE_MODE.drawVignette() && GameSettings.VIGNETTE.value) {
             renderVignette(this.mc.thePlayer.getBrightness(partialTicks), width, height);
         }
 
         // Render pumpkin overlay
         ItemStack headSlotItem = this.mc.thePlayer.getItemInArmorSlot(HumanArmorShape.HEAD);
-        if (this.mc.gameSettings.thirdPersonView.value == 0 && headSlotItem != null && (headSlotItem.getItem() == Blocks.PUMPKIN_CARVED_IDLE.asItem() || headSlotItem.itemID == Blocks.PUMPKIN_REDSTONE.id())) {
+        if (GameSettings.THIRD_PERSON_VIEW.value == 0 && headSlotItem != null && (headSlotItem.getItem() == Blocks.PUMPKIN_CARVED_IDLE.asItem() || headSlotItem.itemID == Blocks.PUMPKIN_REDSTONE.id())) {
             renderPumpkinBlur(width, height);
         }
 
@@ -66,7 +67,7 @@ public class HudIngameDoom
 
         GLRenderer.setColor4f(1.0F, 1.0F, 1.0F, 1.0F);
 
-        if (this.mc.gameSettings.immersiveMode.drawCrosshair() && this.mc.gameSettings.thirdPersonView.value == 0) {
+        if (GameSettings.IMMERSIVE_MODE.drawCrosshair() && GameSettings.THIRD_PERSON_VIEW.value == 0) {
             // Render crosshair
             GLRenderer.enableState(State.BLEND);
             GLRenderer.setBlendFunc(BlendFactor.ONE_MINUS_DST_COLOR, BlendFactor.ONE_MINUS_SRC_COLOR);
diff --git a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentArmorBar.java b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentArmorBar.java
index efc1934d2..ef42eac39 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentArmorBar.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentArmorBar.java
@@ -3,6 +3,7 @@ package net.minecraft.client.gui.hud.component;
 import net.minecraft.client.gui.Gui;
 import net.minecraft.client.gui.hud.HudIngame;
 import net.minecraft.client.gui.hud.component.layout.Layout;
+import net.minecraft.client.option.GameSettings;
 import net.minecraft.client.render.renderer.GLRenderer;
 import net.minecraft.client.render.renderer.State;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
@@ -23,7 +24,7 @@ public class HudComponentArmorBar
 
     @Override
     public boolean isVisible() {
-        return mc.gameSettings.immersiveMode.drawHotbar() && mc.thePlayer.getPlayerProtectionAmount() > 0;
+        return GameSettings.IMMERSIVE_MODE.drawHotbar() && mc.thePlayer.getPlayerProtectionAmount() > 0;
     }
 
     @Override
diff --git a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentArmorDurability.java b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentArmorDurability.java
index 306b6607d..06a5c0a1b 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentArmorDurability.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentArmorDurability.java
@@ -3,6 +3,7 @@ package net.minecraft.client.gui.hud.component;
 import net.minecraft.client.gui.Gui;
 import net.minecraft.client.gui.hud.HudIngame;
 import net.minecraft.client.gui.hud.component.layout.Layout;
+import net.minecraft.client.option.GameSettings;
 import net.minecraft.client.render.LightmapHelper;
 import net.minecraft.client.render.item.model.ItemModelDispatcher;
 import net.minecraft.client.render.renderer.GLRenderer;
@@ -25,12 +26,12 @@ public class HudComponentArmorDurability
 
     @Override
     public boolean isVisible() {
-        return mc.gameSettings.immersiveMode.drawOverlays() && mc.gameSettings.armorDurabilityOverlay.value;
+        return GameSettings.IMMERSIVE_MODE.drawOverlays() && GameSettings.ARMOR_DURABILITY_OVERLAY.value;
     }
 
     @Override
     public boolean isEnabled() {
-        return mc.gameSettings.armorDurabilityOverlay.value;
+        return GameSettings.ARMOR_DURABILITY_OVERLAY.value;
     }
 
     @Override
diff --git a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentCrosshair.java b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentCrosshair.java
index 525ae7d04..62d4e9c69 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentCrosshair.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentCrosshair.java
@@ -3,6 +3,7 @@ package net.minecraft.client.gui.hud.component;
 import net.minecraft.client.gui.Gui;
 import net.minecraft.client.gui.hud.HudIngame;
 import net.minecraft.client.gui.hud.component.layout.Layout;
+import net.minecraft.client.option.GameSettings;
 import net.minecraft.client.render.renderer.BlendFactor;
 import net.minecraft.client.render.renderer.GLRenderer;
 import net.minecraft.client.render.renderer.State;
@@ -16,7 +17,7 @@ public class HudComponentCrosshair
 
     @Override
     public boolean isVisible() {
-        return mc.gameSettings.immersiveMode.drawCrosshair() && mc.gameSettings.thirdPersonView.value == 0;
+        return GameSettings.IMMERSIVE_MODE.drawCrosshair() && GameSettings.THIRD_PERSON_VIEW.value == 0;
     }
 
     @Override
